#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Linux /proc abstraction classes for Python 2
Summary(pl.UTF-8):	Klasy abstrakcji linuksowego /proc dla Pythona 2
Name:		python-linux-procfs
Version:	0.7.0
Release:	5
License:	GPL v2
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/libs/python/python-linux-procfs/%{name}-%{version}.tar.xz
# Source0-md5:	a6c26f7cb2ce077b4d95da0e933a7ee9
URL:		https://rt.wiki.kernel.org/index.php/Tuna
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 abstractions to extract information from the Linux kernel
/proc files.

%description -l pl.UTF-8
Abstrakcje Pythona 2 do wydobywania informacji z plików /proc jądra
Linuksa.

%package -n python3-linux-procfs
Summary:	Linux /proc abstraction classes for Python 3
Summary(pl.UTF-8):	Klasy abstrakcji linuksowego /proc dla Pythona 3
Group:		Libraries/Python

%description -n python3-linux-procfs
Python 3 abstractions to extract information from the Linux kernel
/proc files.

%description -n python3-linux-procfs -l pl.UTF-8
Abstrakcje Pythona 3 do wydobywania informacji z plików /proc jądra
Linuksa.

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
# Make sure python2 script is removed
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/pflags
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%if %{without python3}
%attr(755,root,root) %{_bindir}/pflags
%endif
%{py_sitescriptdir}/procfs
%{py_sitescriptdir}/python_linux_procfs-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-linux-procfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pflags
%{py3_sitescriptdir}/procfs
%{py3_sitescriptdir}/python_linux_procfs-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-linux-procfs.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 192fd7a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> de1e9b6
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 716a172
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b51e752
- rebuild with python 3.10

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 2e1790d
- updated to 0.7.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> c2b4f87
- release 2 (by relup.sh)

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 959c4a9
- updated to 0.6.3

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d07a9e8
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1ea9b2e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Mar 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 95c86d9
- updated to 0.6.1

* Fri Oct 19 2018 Jan Rękorajski <baggins@pld-linux.org> 7e13eda
- remove py2 binary to fix build inconsistencies
- rel 3

* Fri Oct 19 2018 Jan Rękorajski <baggins@pld-linux.org> fb8a0c4
- release 2 (by relup.sh)

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 1f45ad2
- single pflags utility is enough

* Thu Oct 18 2018 Adam Gołębiowski <adamg@pld-linux.org> a73ee58
- updated to 0.6 (needed by tuna.spec)

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 583d259
- updated to 0.4.11

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b34570
- release 2 (by relup.sh)

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 73546f6
- updated to 0.4.10

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 785c64a
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b7d57d7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c163095
- release 2 (by relup.sh)

